FreeNAS - Bug #37998

Show random MAC address generator in NIC edit mode of new Ul
07/13/2018 06:10 AM - Greg Stengel

Status: Done
Priority: No priority
Assignee: Vaibhav Chauhan
Category: GUI (new)
Target version: 11.2-BETA2
Seen in: 11.2-BETA1 Needs Merging: No
Severity: New Needs Automation: No
Reason for Closing: Support Suite Ticket: n/a
Reason for Blocked: Hardware
Configuration:
Needs QA: No Changelog No
Required:
Needs Doc: No
Description

VMs -> Devices -> NIC -> Edit

In the guide it shows there is a "Generate MAC Address" button, however it's not there.
http:/freenas.gmachines.lan//docs/vms.html#vms-nic-fig

History

#1 - 07/16/2018 08:04 AM - Dru Lavigne
- Assignee changed from Release Council to Erin Clark

- Target version changed from Backlog to 11.2-BETA2
#3 - 07/16/2018 08:26 AM - Vaibhav Chauhan
- Status changed from Unscreened to Screened

- Assignee changed from Erin Clark to Vaibhav Chauhan

#4 - 07/16/2018 11:44 AM - Vaibhav Chauhan

- Status changed from Screened to In Progress

asked erin for review: https:/github.com/freenas/webui/pull/997

#5 - 07/17/2018 06:31 AM - Vaibhav Chauhan

- Status changed from In Progress to Ready for Testing

#6 - 07/17/2018 06:33 AM - Dru Lavigne

- Subject changed from Generate MAC Address button missing to Show random MAC address generator in NIC edit mode of new Ul

- Needs Doc changed from Yes to No

- Needs Merging changed from Yes to No
#7 - 07/17/2018 09:56 AM - Timothy Moore Il

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No
http://freenas.gmachines.lan//docs/vms.html#vms-nic-fig
https://github.com/freenas/webui/pull/997

Testing with FreeNAS Mini/System updated to FreeNAS-11.2-MASTER-201807171249:

Go to VMs/Devices for an existing VM. Edit an existing NIC device. Verify the Generate MAC Address button is visible and functional.

#8 - 07/18/2018 01:14 PM - Dru Lavigne

- Status changed from Passed Testing to Done
